#ifndef _LINUX_AUTOSLAB_H
#define _LINUX_AUTOSLAB_H

#ifdef AUTOSLAB_PLUGIN
#include <linux/compiler.h>
#include <linux/types.h>

struct autoslab_info {
	const char *name;
	unsigned int size;
	slab_flags_t flags;
	unsigned int useroffset;
	unsigned int usersize;
};

extern union autoslab_caches {
	const struct autoslab_info *info;
	struct kmem_cache *cache;
} __autoslabs_start[], __autoslabs_stop[];
#endif /* AUTOSLAB_PLUGIN */

#endif
