# 1 "arch/x86/include/asm/asmmacro.h"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "././include/linux/kconfig.h" 1




# 1 "./include/generated/autoconf.h" 1
# 6 "././include/linux/kconfig.h" 2
# 1 "<command-line>" 2
# 1 "arch/x86/include/asm/asmmacro.h"




# 1 "./arch/x86/include/asm/alternative-asm.h" 1
# 9 "./arch/x86/include/asm/alternative-asm.h"
# 1 "./include/linux/linkage.h" 1




# 1 "./include/linux/compiler_types.h" 1
# 6 "./include/linux/linkage.h" 2
# 1 "./include/linux/stringify.h" 1
# 7 "./include/linux/linkage.h" 2
# 1 "./include/linux/export.h" 1
# 8 "./include/linux/linkage.h" 2
# 1 "./arch/x86/include/asm/linkage.h" 1
# 9 "./include/linux/linkage.h" 2
# 1 "./arch/x86/include/uapi/asm/bitsperlong.h" 1
# 11 "./arch/x86/include/uapi/asm/bitsperlong.h"
# 1 "./include/asm-generic/bitsperlong.h" 1




# 1 "./include/uapi/asm-generic/bitsperlong.h" 1
# 6 "./include/asm-generic/bitsperlong.h" 2
# 12 "./arch/x86/include/uapi/asm/bitsperlong.h" 2
# 10 "./include/linux/linkage.h" 2
# 10 "./arch/x86/include/asm/alternative-asm.h" 2
# 1 "./arch/x86/include/asm/asm.h" 1
# 11 "./arch/x86/include/asm/alternative-asm.h" 2
# 1 "./arch/x86/include/asm/irq_vectors.h" 1




# 1 "./include/linux/threads.h" 1
# 6 "./arch/x86/include/asm/irq_vectors.h" 2
# 12 "./arch/x86/include/asm/alternative-asm.h" 2
# 1 "./arch/x86/include/asm/page.h" 1




# 1 "./include/linux/types.h" 1





# 1 "./include/uapi/linux/types.h" 1




# 1 "./arch/x86/include/generated/uapi/asm/types.h" 1
# 1 "./include/uapi/asm-generic/types.h" 1






# 1 "./include/asm-generic/int-ll64.h" 1
# 11 "./include/asm-generic/int-ll64.h"
# 1 "./include/uapi/asm-generic/int-ll64.h" 1
# 12 "./include/asm-generic/int-ll64.h" 2
# 8 "./include/uapi/asm-generic/types.h" 2
# 1 "./arch/x86/include/generated/uapi/asm/types.h" 2
# 6 "./include/uapi/linux/types.h" 2
# 7 "./include/linux/types.h" 2
# 6 "./arch/x86/include/asm/page.h" 2



# 1 "./arch/x86/include/asm/page_types.h" 1




# 1 "./include/linux/const.h" 1



# 1 "./include/uapi/linux/const.h" 1
# 5 "./include/linux/const.h" 2
# 6 "./arch/x86/include/asm/page_types.h" 2

# 1 "./include/linux/mem_encrypt.h" 1
# 8 "./arch/x86/include/asm/page_types.h" 2
# 48 "./arch/x86/include/asm/page_types.h"
# 1 "./arch/x86/include/asm/page_64_types.h" 1
# 49 "./arch/x86/include/asm/page_types.h" 2
# 10 "./arch/x86/include/asm/page.h" 2


# 1 "./arch/x86/include/asm/page_64.h" 1
# 13 "./arch/x86/include/asm/page.h" 2
# 92 "./arch/x86/include/asm/page.h"
# 1 "./include/asm-generic/memory_model.h" 1




# 1 "./include/linux/pfn.h" 1
# 6 "./include/asm-generic/memory_model.h" 2
# 93 "./arch/x86/include/asm/page.h" 2
# 1 "./include/asm-generic/getorder.h" 1
# 94 "./arch/x86/include/asm/page.h" 2
# 13 "./arch/x86/include/asm/alternative-asm.h" 2


 .macro LOCK_PREFIX
.Llock_prefix_\@:
 lock
 .pushsection .smp_locks,"a"
 .balign 4
 .long .Llock_prefix_\@ - .
 .popsection
 .endm
# 32 "./arch/x86/include/asm/alternative-asm.h"
.macro ANNOTATE_IGNORE_ALTERNATIVE
 .Lannotate_\@:
 .pushsection .discard.ignore_alts
 .long .Lannotate_\@ - .
 .popsection
.endm

.macro pax_force_retaddr_bts rip=0

 btsq $63,\rip(%rsp)

.endm
# 53 "./arch/x86/include/asm/alternative-asm.h"
.macro pax_force_retaddr rip=0

 btsq $63,\rip(%rsp)




.endm

.macro pax_force_fptr ptr:req

 btsq $63,\ptr




.endm

.macro pax_set_fptr_mask altstack=0




 .if \altstack
 movq PER_CPU_VAR(cpu_current_top_of_stack),%r12
 .else
 movq %rsp,%r12
 .endif
 andq $~(THREAD_SIZE_asm-1),%r12
 movq (%r12),%r12

.endm


.macro misalign align:req offset:req pad=0xcc

 .set .Loffset_\@,\offset
 .org .+(\align+(.Loffset_\@&(\align-1))-(.%\align))&(\align-1),\pad

.endm

.macro rap_retloc callee="" hash=0 call_size=0
 .set .Lcall_size_\@,\call_size
 .set .Lrap_retloc_len_\@,.Lrap_retloc_end_\@-.Lrap_retloc_start_\@

 misalign align=8 offset=-.Lrap_retloc_len_\@
.Lrap_retloc_start_\@:
 .ifnb \callee
 .byte 0x48, 0xb8 ; .quad __rap_hash_ret_\callee
 .elseif \hash
 .byte 0x48, 0xb8 ; .quad \hash
 .else
 .error "either 'callee' or 'hash' must be specified"
 .endif
 .skip 16 -8 -.Lcall_size_\@,0xcc
.Lrap_retloc_end_\@:
.endm

.macro rap_call target:req hash="" sym=""
 jmp .Lrap_call_target_\@
 .ifb \hash
 rap_retloc callee=\target call_size=.Lrap_call_target_end_\@-.Lrap_call_target_\@
 .else
 rap_retloc callee=\hash call_size=.Lrap_call_target_end_\@-.Lrap_call_target_\@
 .endif
 .ifnb \sym
 .globl \sym
\sym :
 .endif

.Lrap_call_target_\@:
 ANNOTATE_RETPOLINE_SAFE
 call \target
.Lrap_call_target_end_\@:
.endm

.macro rap_ret func:req
 ret
.endm


.macro pax_indirect_jmp target:req
 jmp *\target
.endm

.macro pax_direct_call_global target:req sym:req

 rap_call \target, , \sym





.endm

.macro pax_indirect_call target:req extra:req

 rap_call *\target, hash=\extra




.endm

.macro pax_direct_call target:req extra=""

 rap_call \target, hash=\extra



.endm

.macro pax_retloc callee:req

 rap_retloc callee=\callee


.endm

.macro pax_ret func:req
 pax_force_retaddr

 rap_ret \func



.endm







.macro altinstruction_entry orig alt feature orig_len alt_len pad_len prepad_len
 .long \orig - .
 .long \alt - .
 .word \feature
 .byte \orig_len
 .byte \alt_len
 .byte \pad_len
 .byte \prepad_len
.endm







.macro ALTERNATIVE oldinstr, newinstr, feature
140:
 \oldinstr
141:
 .skip -(((144f-143f)-(141b-140b)) > 0) * ((144f-143f)-(141b-140b)),0x90
142:

 .pushsection .altinstructions,"a"
 altinstruction_entry 140b,143f,\feature,142b-140b,144f-143f,142b-141b,0
 .popsection

 .pushsection .altinstr_replacement,"a"
143:
 \newinstr
144:
 .popsection
.endm
# 239 "./arch/x86/include/asm/alternative-asm.h"
.macro ALTERNATIVE_2 oldinstr, newinstr1, feature1, newinstr2, feature2
140:
 \oldinstr
141:
 .skip -((((144f-143f) ^ (((144f-143f) ^ (145f-144f)) & -(-((144f-143f) < (145f-144f))))) - (141b-140b)) > 0) * (((144f-143f) ^ (((144f-143f) ^ (145f-144f)) & -(-((144f-143f) < (145f-144f))))) - (141b-140b)),0x90

142:

 .pushsection .altinstructions,"a"
 altinstruction_entry 140b,143f,\feature1,142b-140b,144f-143f,142b-141b,0
 altinstruction_entry 140b,144f,\feature2,142b-140b,145f-144f,142b-141b,0
 .popsection

 .pushsection .altinstr_replacement,"a"
143:
 \newinstr1
144:
 \newinstr2
145:
 .popsection
.endm
# 268 "./arch/x86/include/asm/alternative-asm.h"
.macro ALTERNATIVE_2_PREPAD oldinstr, newinstr1, feature1, newinstr2, feature2
140:
 .skip -((((145f-144f) ^ (((145f-144f) ^ (147f-146f)) & -(-((145f-144f) < (147f-146f))))) - (142f-141f)) > 0) * (((145f-144f) ^ (((145f-144f) ^ (147f-146f)) & -(-((145f-144f) < (147f-146f))))) - (142f-141f)),0x90

141:
 \oldinstr
142:

 .pushsection .altinstructions,"a"
 altinstruction_entry 140b,143f,\feature1,142b-140b,145f-143f,0,144f-143f
 altinstruction_entry 140b,145f,\feature2,142b-140b,147f-145f,0,146f-145f
 .popsection

 .pushsection .altinstr_replacement,"a"
143:
 .skip -((((147f-146f) ^ (((147f-146f) ^ (142b-141b)) & -(-((147f-146f) < (142b-141b))))) - (145f-144f)) > 0) * (((147f-146f) ^ (((147f-146f) ^ (142b-141b)) & -(-((147f-146f) < (142b-141b))))) - (145f-144f)),0x90

144:
 \newinstr1
145:
 .skip -((((145b-144b) ^ (((145b-144b) ^ (142b-141b)) & -(-((145b-144b) < (142b-141b))))) - (147f-146f)) > 0) * (((145b-144b) ^ (((145b-144b) ^ (142b-141b)) & -(-((145b-144b) < (142b-141b))))) - (147f-146f)),0x90

146:
 \newinstr2
147:
 .popsection
.endm

.macro __PAX_REFCOUNT section, counter

 jo .Lrefcount_\@
 .pushsection .text.\section
.Lrefcount_\@:
 lea \counter,%rcx
 int $0x81
.Lrefcount_end_\@:
 .popsection
.Lrefcount_skip_\@:
 .pushsection "__ex_table","a" ; .balign 4 ; .long (.Lrefcount_end_\@) - . ; .long (.Lrefcount_skip_\@) - . ; .long (ex_handler_default) - . ; .popsection

.endm

.macro PAX_REFCOUNT64_OVERFLOW counter
 __PAX_REFCOUNT refcount64_overflow, \counter
.endm

.macro PAX_REFCOUNT64_UNDERFLOW counter
 __PAX_REFCOUNT refcount64_underflow, \counter
.endm
# 6 "arch/x86/include/asm/asmmacro.h" 2
# 1 "./arch/x86/include/asm/nospec-branch.h" 1





# 1 "./include/linux/static_key.h" 1
# 1 "./include/linux/jump_label.h" 1
# 117 "./include/linux/jump_label.h"
# 1 "./arch/x86/include/asm/jump_label.h" 1
# 16 "./arch/x86/include/asm/jump_label.h"
# 1 "./arch/x86/include/asm/nops.h" 1
# 17 "./arch/x86/include/asm/jump_label.h" 2
# 58 "./arch/x86/include/asm/jump_label.h"
.macro STATIC_JUMP_IF_TRUE target, key, def
.Lstatic_jump_\@:
 .if \def

 .byte 0xe9
 .long \target - .Lstatic_jump_after_\@
.Lstatic_jump_after_\@:
 .else
 .byte 0x0f,0x1f,0x44,0x00,0
 .endif
 .pushsection __jump_table, "aw"
 .balign 8
 .long .Lstatic_jump_\@ - ., \target - .
 .quad \key - .
 .popsection
.endm

.macro STATIC_JUMP_IF_FALSE target, key, def
.Lstatic_jump_\@:
 .if \def
 .byte 0x0f,0x1f,0x44,0x00,0
 .else

 .byte 0xe9
 .long \target - .Lstatic_jump_after_\@
.Lstatic_jump_after_\@:
 .endif
 .pushsection __jump_table, "aw"
 .balign 8
 .long .Lstatic_jump_\@ - ., \target - .
 .quad \key + 1 - .
 .popsection
.endm
# 118 "./include/linux/jump_label.h" 2
# 1 "./include/linux/static_key.h" 2
# 7 "./arch/x86/include/asm/nospec-branch.h" 2

# 1 "./arch/x86/include/asm/alternative.h" 1
# 9 "./arch/x86/include/asm/nospec-branch.h" 2

# 1 "./arch/x86/include/asm/cpufeatures.h" 1





# 1 "./arch/x86/include/asm/required-features.h" 1
# 7 "./arch/x86/include/asm/cpufeatures.h" 2



# 1 "./arch/x86/include/asm/disabled-features.h" 1
# 11 "./arch/x86/include/asm/cpufeatures.h" 2
# 11 "./arch/x86/include/asm/nospec-branch.h" 2
# 1 "./arch/x86/include/asm/msr-index.h" 1




# 1 "./include/linux/bits.h" 1
# 6 "./arch/x86/include/asm/msr-index.h" 2
# 12 "./arch/x86/include/asm/nospec-branch.h" 2
# 74 "./arch/x86/include/asm/nospec-branch.h"
.macro ANNOTATE_RETPOLINE_SAFE

 .Lannotate_\@:
 .pushsection .discard.retpoline_safe
 .quad .Lannotate_\@
 .popsection

.endm






.macro RETPOLINE_JMP reg:req
 call .Ldo_rop_\@
.Lspec_trap_\@:
 pause
 lfence
 jmp .Lspec_trap_\@
.Ldo_rop_\@:
 mov \reg, (%rsp)
 ret
 int3
.endm


.macro RETPOLINE_PUSH_JMP target:req



 pushq \target

 call .Ldo_rop_\@
.Lspec_trap_\@:
 pause
 lfence
 jmp .Lspec_trap_\@
.Ldo_rop_\@:

 lea 8(%rsp), %rsp



 ret
 int3
.endm


.macro RETPOLINE_RET size:req
 call .Ldo_ret_\@
.Lspec_trap_\@:
 pause
 lfence
 jmp .Lspec_trap_\@
.Ldo_ret_\@:
 lea \size(%rsp), %rsp
 ret
 int3
.endm





.macro RETPOLINE_CALL reg:req extra:req
 jmp .Ldo_call_\@
.Ldo_retpoline_jmp_\@:
 RETPOLINE_JMP \reg
.Ldo_call_\@:
 pax_direct_call .Ldo_retpoline_jmp_\@, \extra
.endm

.macro RETPOLINE_PUSH_CALL target:req extra:req
 jmp .Ldo_call_\@
.Ldo_retpoline_jmp_\@:
 RETPOLINE_PUSH_JMP \target
.Ldo_call_\@:
 pax_direct_call .Ldo_retpoline_jmp_\@, \extra
.endm






.macro JMP_NOSPEC reg:req


 ANNOTATE_IGNORE_ALTERNATIVE
 ALTERNATIVE_2 "ANNOTATE_RETPOLINE_SAFE; jmp *%\reg", "jmp __x86_indirect_thunk_\reg", ( 7*32+12), "lfence; ANNOTATE_RETPOLINE_SAFE; jmp *%\reg", ( 7*32+13)
# 177 "./arch/x86/include/asm/nospec-branch.h"
.endm

.macro JMP_NOSPEC_INLINE reg:req

 ANNOTATE_IGNORE_ALTERNATIVE
 ALTERNATIVE_2 "ANNOTATE_RETPOLINE_SAFE; jmp *\reg", "RETPOLINE_JMP \reg", ( 7*32+12), "lfence; ANNOTATE_RETPOLINE_SAFE; jmp *\reg", ( 7*32+13)






.endm

.macro CALL_NOSPEC reg:req extra:req


 ANNOTATE_IGNORE_ALTERNATIVE
 ALTERNATIVE_2 "pax_indirect_call %\reg, \extra", "pax_direct_call __x86_indirect_thunk_\reg, \extra", ( 7*32+12), "lfence; pax_indirect_call %\reg, \extra", ( 7*32+13)
# 208 "./arch/x86/include/asm/nospec-branch.h"
.endm


.macro CALL_NOSPEC_INLINE target:req extra:req

 ANNOTATE_IGNORE_ALTERNATIVE
 ALTERNATIVE_2_PREPAD "pax_indirect_call \target, \extra", "RETPOLINE_PUSH_CALL \target, \extra", ( 7*32+12), "lfence; pax_indirect_call \target, \extra", ( 7*32+13)






.endm


.macro __CALL_NOSPEC reg:req

 ANNOTATE_IGNORE_ALTERNATIVE
 ALTERNATIVE_2_PREPAD ".byte 0x66,0x66,0x90 ; ANNOTATE_RETPOLINE_SAFE; call *%\reg", "call __x86_indirect_thunk_\reg", ( 7*32+12), "lfence; ANNOTATE_RETPOLINE_SAFE; call *%\reg", ( 7*32+13)






.endm

.macro RET_NOSPEC

 ANNOTATE_IGNORE_ALTERNATIVE

 ALTERNATIVE "ret", "RETPOLINE_RET 8", ( 7*32+12)






.endm





.macro FILL_RETURN_BUFFER reg:req nr:req ftr:req

 ANNOTATE_IGNORE_ALTERNATIVE
 ALTERNATIVE "jmp .Lskip_rsb_\@", "mov $(\nr/2), \reg; 771: call 772f; 773: pause; lfence; jmp 773b; 772: call 774f; 775: pause; lfence; jmp 775b; 774: dec \reg; jnz 771b; add $(64/8) * \nr, %rsp;" \ftr


.Lskip_rsb_\@:

.endm

.macro INVLUTLB



.endm
# 7 "arch/x86/include/asm/asmmacro.h" 2



.set "X86_FEATURE_RETPOLINE", ( 7*32+12)
.set "X86_FEATURE_RETPOLINE_AMD", ( 7*32+13)
