/* SPDX-License-Identifier: GPL-2.0 */
/* Copyright (C) 2004  PaX Team <pageexec@freemail.hu> */

#ifndef _ASM_GENERIC_KERNEXEC_H
#define _ASM_GENERIC_KERNEXEC_H

#ifndef ktla_ktva
#define ktla_ktva(addr)		(addr)
#endif
#ifndef ktva_ktla
#define ktva_ktla(addr)		(addr)
#endif

#ifndef __ASSEMBLY__

#ifndef __HAVE_ARCH_PAX_OPEN_KERNEL
#ifdef CONFIG_PAX_KERNEXEC
#error KERNEXEC requires pax_open_kernel
#else /* !CONFIG_PAX_KERNEXEC */
static inline unsigned long pax_open_kernel(void) { return 0; }
#endif /* CONFIG_PAX_KERNEXEC */
#endif /* !__HAVE_ARCH_PAX_OPEN_KERNEL */

#ifndef __HAVE_ARCH_PAX_CLOSE_KERNEL
#ifdef CONFIG_PAX_KERNEXEC
#error KERNEXEC requires pax_close_kernel
#else /* !CONFIG_PAX_KERNEXEC */
static inline unsigned long pax_close_kernel(void) { return 0; }
#endif /* CONFIG_PAX_KERNEXEC */
#endif /* !__HAVE_ARCH_PAX_CLOSE_KERNEL */

#endif /* __ASSEMBLY__ */

#endif /* _ASM_GENERIC_KERNEXEC_H */
